/* -------------------- */
/* SATOSHI MEDIUM */
/* -------------------- */
@font-face {
    font-family: "Satoshi";
    font-weight: 500;
    font-style: normal;
    font-display: swap;
    src:
            url("../fonts/satoshi-Medium.woff2") format("woff2"),
            url("../fonts/satoshi-Medium.woff") format("woff");
}

/* -------------------- */
/* SATOSHI BOLD */
/* -------------------- */
@font-face {
    font-family: "Satoshi";
    font-weight: 700;
    font-style: normal;
    font-display: swap;
    src:
            url("../fonts/satoshi-Bold.woff2") format("woff2"),
            url("../fonts/satoshi-Bold.woff") format("woff");
}

/* Môžeš pridať aj Regular: */
@font-face {
    font-family: "Satoshi";
    font-weight: 400; /* Regular váha */
    font-style: normal;
    font-display: swap;
    src:
            url("../fonts/satoshi-Regular.woff2") format("woff2"),
            url("../fonts/satoshi-Regular.woff") format("woff");
}

/* A tak ďalej pre Light, Black, Italic... */



*,
*::before,
*::after {
    box-sizing: border-box;
}

html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
}

body {
    font-family: "Satoshi";
    font-weight: 500;
    background: #141C2E;
    color: #fff;
}
/*#preloader {
    position: fixed;
    inset: 0;
    background: #141C2E;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    visibility: visible;
    transition: opacity 1.4s ease, visibility 1.4s ease;
}

body.loaded #preloader {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}*/
#preloader {
    position: fixed;
    inset: 0;
    z-index: 9999;
    pointer-events: none;
    overflow: hidden;
    opacity: 1;
    visibility: visible;
    transition: opacity 0.8s ease 1s, visibility 0.8s ease 1s;
}


#preloader .door {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 50%;
    background: #141C2E;
    transition: transform 0.7s ease-in-out;
}


#preloader .door-left {
    left: 0;
    transform: translateX(0);
}

#preloader .door-right {
    right: 0;
    transform: translateX(0);
}


body.loaded #preloader .door-left {
    transform: translateX(-100%);
}

body.loaded #preloader .door-right {
    transform: translateX(100%);
}


body.loaded #preloader {
    opacity: 0;
    visibility: hidden;
}



.desktop-only {
    display: block;
}

.mobile-only {
    display: none;
}


.section-hero {
    position: relative;
}


.hero-bg {
    position: absolute;
    top: 40px;
    left: 40px;
    right: 40px;
    bottom: 40px;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1;
}


.hero-logo {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    letter-spacing: 0.14em;
}
.hero-logo img {
    width: 38vw;
    max-width: 460px;
}

.hero-bottom-bar {
    position: absolute;
    left: 40px;
    right: 40px;
    bottom: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 14px;
    color: #fff;
}
.hero-bottom-center {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    flex: 1;
}
.hero-bottom-center::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    height: 1px;
    background: linear-gradient(
            to right,
            #ffffff 0,
            #ffffff calc(50% - 30px),
            transparent calc(50% - 30px),
            transparent calc(50% + 30px),
            #ffffff calc(50% + 30px),
            #ffffff 100%
    );
    z-index: -1;
}

.hero-bottom-text {
    text-wrap-mode: nowrap;
    font-size: 1.4rem;
    font-size: clamp(1.4rem, 1.2913385826771653rem + 0.47244094488188987vw, 2rem);
}

.hero-arrow {
    border: 1px solid white;
    background: transparent;
    position: relative;
    width: 30px;
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    padding: 8px;
    overflow: hidden;
    flex-direction: column;
    gap: 2px;

}
.hero-arrow img {
    width: 12px;
    animation: 2s ease .4s normal infinite both running scrollAnim !important;
}
.hero-arrow img:first-child {
    width: 12px;
    animation: 2s ease .2s normal infinite both running scrollAnim !important;
}

.hero-arrow img:last-child {
    width: 12px;
    animation: 2s ease .6s normal infinite both running scrollAnim !important;
}
@keyframes pulseAnim {
    0% {transform: scale(1)}
    50% {transform: scale(1)}
    75% {transform: scale(1.1)}
    100% {transform: scale(1)}
}
@keyframes scrollAnim {
    0% {opacity: 0}
    50% {opacity: 1}
    100% {opacity: 0}
}
.hero-logo,
.hero-bottom-bar {
    transition: transform 0s ease, opacity 0.9s ease;
}

body.hero-exit .hero-logo,
body.hero-exit .hero-bottom-bar {
    opacity: 0;
}

.right-fixed {
    position: fixed;
    top: 40px;
    left: 40px;
    width: calc(100vw - 80px);
    height: calc(100vh - 80px);
    z-index: 1;
    /*pointer-events: none;*/
    transition: left 1.7s ease, width 1.7s ease;
}
.fp-viewing-0 .right-fixed,.state-1 .right-fixed {
    z-index: -1;
}
.right-inner {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.right-inner::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: url(../imgs/bg-hero2.webp);
    background-size: cover;
    background-position: center 75%;
    transition: transform 0.6s ease;
}

body.layout-active .right-fixed .right-inner::before {
    transform: translateY(0);
}

/*.right-inner {
    width: 100%;
    height: 100%;
    background-image: url("../imgs/bg-hero1.webp");
    background-size: cover;
    background-position: center 80%;
    position: relative;
    background-repeat: no-repeat;
    transition: background-position 1s ;
}*/
/*body.layout-active .right-fixed .right-inner {
    background-position: center 0%;
}*/
.right-logo {
    position: absolute;
    top: 40px;
    left: 50%;
    width: 12vw;
    max-width: 300px;
    opacity: 0;
    transform: translateY(10px) translateX(-50%);
    transition: opacity 0.4s ease, transform 0.5s ease;
}

body.state-1 .right-logo,
body.state-2 .right-logo,
body.state-3 .right-logo {
    opacity: 1;
    transform: translateY(0) translateX(-50%);
    transition: opacity 3s ease, transform 0.5s ease;
}
.right-edvin {
    position: absolute;
    bottom: 40px;
    left: 50%;
    width: 14vw;
    max-width: 300px;
    opacity: 0;
    transform: translateY(10px) translateX(-50%);
    transition: opacity 0.4s ease, transform 0.5s ease;
    cursor: pointer;
}
.right-edvin img {
    width: 100%;
}
body.state-3 .right-edvin {
    opacity: 1;
    transform: translateY(0) translateX(-50%);
    transition: opacity 3s ease, transform 0.5s ease;
}
.mobile-edvin {
    position: relative;
    position: relative;
    margin-top: 40px;
    width: 100%;
    text-align: center;
}
.mobile-edvin img {
    width: 100%;
    max-width: 220px;
}
body.layout-active .right-fixed {
    left: calc(40px + (100vw - 80px) * 0.55);
    width: calc((100vw - 80px) * 0.45);
}

body.layout-active .hero-bg {
    background: transparent;
    transition: background 2.8s ease;
}


.left-fixed {
    position: fixed;
    top: 40px;
    left: 40px;
    width: calc((100vw - 80px) * 0.55);
    height: calc(100vh - 80px);
    display: flex;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity 1s ease;
    z-index: 2;
}


body.layout-active .left-fixed {
    opacity: 1;
    pointer-events: auto;
}


.left-inner {
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;

}



.title {
    font-size: 2.6rem;
    font-size: clamp(2.6rem, 1.893700787401575rem + 3.0708661417322833vw, 6.5rem);
    line-height: 1.1;
    margin-bottom: 0rem;
    margin-top: 0;
    font-family: "Satoshi";
    font-weight: 700;
}
.subtext {
    font-size: 1.2rem;
    font-size: clamp(1.2rem, 1.0188976377952754rem + 0.7874015748031498vw, 2.2rem);
    line-height: 1.1;
    margin-top: 0px;
    margin-bottom: 0;
}
.step-1-2-wrap {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.step-3-wrap {
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
}

.title,
.subtext {
    opacity: 0;
    transform: translateY(60px);
    max-height: 500px;
    overflow: hidden;
    transition:
            opacity 1.4s ease,
            transform 1.8s ease,
            max-height 0.2s ease,
            margin 0s ease;
}
.form-block {
    position: relative;
    opacity: 0;
    transform: translateY(60px);
    max-height: 0;
    overflow: hidden;
    margin-bottom: 10px;
    transition:
            opacity .6s ease,
            transform .6s ease,
            max-height 2s ease;
}
/* ---------- SLIDE 2  ---------- */
body.state-1 .left-inner {
    justify-content: space-between;
}

body.state-1 .title, body.state-2 .subtext {
    opacity: 1;
    transform: translateY(0);
    transition:
            opacity 3s ease,
            transform 3s ease,
            max-height .4s ease,
            margin 0s ease;
}

/* ---------- SLIDE 3 ---------- */
body.state-2 .left-inner {
    justify-content: space-between;
}

body.state-2 .title,
body.state-2 .subtext {
    opacity: 1;
    transform: translateY(0);
    max-height: 500px;
    transition:
            opacity 3.4s ease,
            transform 2s ease;
}

/* ---------- SLIDE 4 ---------- */

.body.state-3 .left-fixed {
    align-items: stretch;
}

body.state-3 .left-inner {
    justify-content: end;
}

body.state-3 .title,
body.state-3 .subtext {
    opacity: 0;
    transform: translateY(-10px);
    margin: 0;
    transition:
            opacity .6s ease,
            transform .6s ease;
}


.form-block {
    display: flex;
    flex-direction: column;
    justify-content: end;
}

body.state-3 .form-block {
    opacity: 1;
    transform: translateY(0px);
    max-height: 500px;
    max-height: 100%;
    transition:
            opacity 1.4s ease,
            transform 1.8s ease,
            max-height 0s ease,
            margin 0s ease;
}


.logo-top {
    margin-bottom: 20px;
}
.logo-top img {
    max-width: 200px;
}
.logo-top span {
    font-size: 14px;
    margin-left: 4px;
    vertical-align: super;
}
.lead {
    font-size: 1.2rem;
    font-size: clamp(1.2rem, 1.0188976377952754rem + 0.7874015748031498vw, 2.2rem);
    margin-bottom: 26px;
    margin-top: 0;
}

.lead .sup {
    font-size: 18px;
    vertical-align: super;
}

.form-message {
    margin: 0;
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 0.3s ease, max-height 0.3s ease;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 2.8;
}

.form-message.is-visible {
    opacity: 1;
    max-height: 45px;
}

.form-message--success {
    color: #fff;
    background: #224d40;
}

.form-message--error {
    color: #fff;
    background: #e53935;
}

.register-form {
    display: flex;
    flex-direction: column;
    gap: 28px;
    max-width: 420px;
    font-family: "Satoshi";
    font-weight: 500;
}

.field-error {
    color: #e53935;
    font-size: 12px;
    display: none;
    font-size: 12px;
    position: absolute;
    bottom: -18px;
    font-family: "Satoshi";
    font-weight: 500;
}

form label {
    position: relative;
}
.register-form input {
    width: 100% !important;
    padding: 10px 12px !important;
    border: none;
    background: rgba(33, 77, 64, 0.24) !important;
    color: #fff !important;
    border-bottom: 2px solid #D9D9D9;
    outline: none !important;
    font-size: 18px !important;
    border-radius: 0 !important;
    font-family: "Satoshi";
    font-weight: 500;
}
input.has-error {
    border-bottom: 2px solid #e53935;
}
.register-form button {
    font-size: 18px !important;
    padding: 15px !important;
    border: none !important;
    background: #808080;
    color: #CCCCCC;
    cursor: pointer !important;
    font-family: "Satoshi";
    font-weight: 500;
    transition: 0.2s;
}
.register-form form a {
    color: white !important;
    font-family: "Satoshi";
    font-weight: 500;
}
.ec-v-form-error {
    color: #fff !important;
    background-color: #214D40 !important;
    border-radius: 0 !important;
    font-family: "Satoshi";
    font-weight: 500;
}
.gdpr-consent {
    position: relative;
}
.gdpr-checkbox {
    display: inline-flex;
    align-items: flex-start;
    gap: 10px;
    cursor: pointer;
}

/* skrytie originálneho inputu */
.gdpr-checkbox input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
    margin: 0;
}

/* vizuálny checkbox */
.gdpr-checkbox__box {
    width: 22px;
    height: 22px;
    border: 2px solid #A8AAAE;
    background-color: transparent;
    box-sizing: border-box;
    position: relative !important;
    bottom: unset !important;
    top: 2px;
}

/* fajka pri checknutí */
.gdpr-checkbox input:checked + .gdpr-checkbox__box {
    position: relative !important;
}

.gdpr-checkbox input:checked + .gdpr-checkbox__box::after {
    content: "";
    position: absolute;
    left: 3px;
    top: 3px;
    width: 12px;
    height: 12px;
    background: #AB5840;
}

/* text súhlasu */
.gdpr-checkbox__text {
    max-width: 420px;
    color: #ffffff;
    position: unset !important;
    flex: 1 1 0;
    font-size: 12px;
    line-height: 1.3;
}
input.ec-v-form-has-error, .ec-v-form-input.ec-v-form-has-error input[type=checkbox]+label:before, #f-3-b6fcc542fb021c84fdaff536dd0a74a1 input.ec-v-form-has-error {
    border-color: #AB5840 !important;
}
.register-form button.active {
    background: #214D40;
    color: white;
}
.ec-v-form-text {
    color: white !important;
    font-family: "Satoshi";
    font-weight: 700;
}
.form-policy {
    text-align: center;
    color: white;
    font-size: 12px;
}
.ec-v-form-text h3 {
    color: white !important;
    font-family: "Satoshi";
    font-weight: 700;
    background: #214d40 !important;
    padding: 20px !important;
}
.section-state {
    background: transparent;
}


@media (max-width: 900px) {
    .register-form {
        max-width: 350px;
    }
}
@media (max-width: 767px) {
    .register-form {
        max-width: 300px;
    }
}
@media (max-width: 670px) {
    .register-form {
        max-width: 270px;
    }
}
@media (max-width: 600px) {
    #f-4-f67e22c6c3dacfc9b77b6b40399abc16 .ec-v-form-text, #f-4-f67e22c6c3dacfc9b77b6b40399abc16 .ec-v-form-input, #f-4-f67e22c6c3dacfc9b77b6b40399abc16 .ec-v-form-submit {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }
    .desktop-only {
        display: none;
    }

    .mobile-only {
        display: block;
    }
    .register-form {
        max-width: 100%;
    }

    .section-hero {
        justify-content: space-between !important;
    }
    .mobile-section {
        display: flex;
        flex-direction: column;
        height: 100%;
        justify-content: space-between;
        overflow: hidden;
    }

    .hero-bg {
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        background-image: url("../imgs/bg-hero1.webp");
        background-size: 230%;
        background-position-x: center;
        background-position-y: -35vw;
        background-position-y: 80%;
        position: relative;
        background-repeat: no-repeat;
        width: 100%;
        height: 70%;
        transition: background-size 2s;
    }
    .fp-viewing-0 .hero-bg {
        background-size: 170%;
        transition-duration: 8s;
    }
    .hero-bottom-center::before {
        z-index: 1;
    }
    .title, .subtext {
        overflow: visible;
    }
    .title-wrapper-mobile {
        display: flex;
        align-items: center;
        overflow: hidden;
    }
    .title {
        padding: 20px 26px 40px;
        width: 100%;
        opacity: 0;
        transform: translateY(60px);
        transition: opacity 0.4s ease, transform 0.4s ease;
    }
    .fp-viewing-0 .title {
        opacity: 1;
        transform: translateY(0);
        transition-duration: 2s;
    }
    @keyframes mobileShow {
        0% {}
        100% {transform: translateY(0);opacity: 1;}
    }
    .subtext {
        padding: 20px 26px 40px;
        width: 100%;
        opacity: 0;
        transform: translateY(60px);
        transition: opacity 0.4s ease, transform 0.4s ease;
    }
    .fp-viewing-1 .subtext {
        opacity: 1;
        transform: translateY(0);
        transition-duration: 3s;
    }
    .img-step-2-mobile {
        max-height: 77vh;
        object-fit: cover;
        object-position: top;
    }
    .mobile-logo-wrapper {
        display: flex;
        padding: 20px 26px 40px;
        opacity: 0;
        transform: translateY(60px);
        transition: opacity 0.4s ease, transform 0.4s ease;
    }
    .mobile-logo {
        width: 100%;
        max-width: 140px;
    }
    .fp-viewing-2 .mobile-logo-wrapper {
        opacity: 1;
        transform: translateY(0);
        transition-duration: 2s;
    }
    .form-block {
        padding: 20px 26px 25px;
        opacity: 0;
        transform: translateY(60px);
        transition: opacity 0.4s ease, transform 0.4s ease;
    }
    .fp-viewing-2 .form-block {
        opacity: 1;
        transform: translateY(0);
        transition-duration: 2s;
        max-height: 100%;
    }
    .hero-bg:before {
        content: '';
        position: absolute;
        background: rgba(0, 0, 0, 0.35);
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
    }
    body.layout-active .hero-bg {
        background-image: url("../imgs/bg-hero1.jpg");
        background-size: cover;
        background-position-x: center;
        background-position-y: -35vw;
        background-position-y: 80%;
        position: relative;
        background-repeat: no-repeat;
    }

    .hero-bottom-bar {
        left: 20px;
        right: 20px;
        bottom: 20px;
    }
}
@media (max-width: 950px) and (max-height: 450px){
    .title {
        font-size: 48px;
    }
    .lead {
        margin-bottom: 15px;
    }
    .register-form {
        gap: 15px;
    }
    .register-form button {
        padding: 10px;
    }
}